# Struct crossbeam::sync::ArcCell [−] [src]

    pub struct ArcCell<T>(_, _);

A type providing atomic storage and retrieval of an `Arc<T>`.

## Methods

### `impl<T> ArcCell<T>`

#### `fn new(t: Arc<T>) -> ArcCell<T>`

Creates a new `ArcCell`.

#### `fn set(&self, t: Arc<T>) -> Arc<T>`

Stores a new value in the `ArcCell`, returning the previous value.

#### `fn get(&self) -> Arc<T>`

Returns a copy of the value stored by the `ArcCell`.

## Trait Implementations

### `impl<T> Drop for ArcCell<T>`

#### `fn drop(&mut self)`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)